### Function

# Gck modules_objects_for_uri

#### Declaration [src]

    GList*
    gck_modules_objects_for_uri (
      GList* modules,
      const gchar* uri,
      GckSessionOptions session_options,
      GError** error
    )

#### Description [src]

Find objects that match a URI.

This call can block. Use `gck_modules_enumerate_uri()` for a non-blocking version.

#### Parameters

`modules`

  Type: A list of `GckModule*`

  The modules.

  The data is owned by the caller of the function.

`uri`

  Type: `const gchar*`

  The URI the objects must match.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`session_options`

  Type: `GckSessionOptions`

  Options from GckSessionOptions.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: A list of `GckObject*`

A list of `GckObject` which should be released with gck_list_unref_free(), or `NULL` if no matching object was found.

The caller of the function takes ownership of the data, and is responsible for freeing it.